/*
  Project:      POVColor
  File:         aboutdlg.h
  Purpose:      About dialog
  Author:       Brian Vanderburg II
  Copyright:    (C) 2007-2008 Brian Allen Vanderburg II

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef __POVCOLOR_ABOUTDLG_H__
#define __POVCOLOR_ABOUTDLG_H__


// Requirements
//-----------------------------------------------------------------------------

// Includes
#include "config.h"

#include <wx/defs.h>
#include <wx/string.h>
#include <wx/dialog.h>


// Forward defs
class WXDLLIMPEXP_CORE wxNotebook;


// About dialog, shows basic about information
//-----------------------------------------------------------------------------
class AboutDialog : public wxDialog
{
public:
    // ctor/dtor (no default ctor)
    AboutDialog(wxWindow* parent);
    ~AboutDialog();

    void OnDetails(wxCommandEvent& evt);  

private:
    // No copy/assign
    AboutDialog(const AboutDialog& copy);
    AboutDialog& operator=(const AboutDialog& copy);

    void CreateWidgets();
  
DECLARE_EVENT_TABLE()
};


// Details dialog, shows license, authors, etc
//----------------------------------------------------------------------------
class AboutDetailsDialog : public wxDialog
{
public:
    // ctor/dtor (no default ctor)
    AboutDetailsDialog(wxWindow* parent);
    ~AboutDetailsDialog();

private:
    // No copy/assign
    AboutDetailsDialog(const AboutDetailsDialog& copy);
    AboutDetailsDialog& operator=(const AboutDetailsDialog& copy);

    void CreateWidgets();

    void AddTextPage(wxNotebook* book, const wxString& title, const wxString& file);
};


#endif // Include once wrapper


