/*
  Project:      POVColor
  File:         colorconv.h
  Purpose:      Color convertor objects
  Author:       Brian Vanderburg II
  Copyright:    (C) 2007-2008 Brian Allen Vanderburg II

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef __POVCOLOR_COLORCONV_H__
#define __POVCOLOR_COLORCONV_H__


// Requirements
//-----------------------------------------------------------------------------

// Includes
#include "config.h"

#include <wx/defs.h>
#include <wx/string.h>


// Foward declarations
class Color;


// ColorConverter
//-----------------------------------------------------------------------------
class ColorConvertor
{
public:
    // ctor/dtor
    ColorConvertor();
    virtual ~ColorConvertor();

    // information
    virtual wxString GetName() const = 0;
    virtual size_t GetComponentCount() const = 0;

    // conversion
    virtual void FromColor(const Color& color, double* components) const = 0;
    virtual void ToColor(Color& color, double* components) const = 0;

    // get the color convertor objects
    static ColorConvertor* GetConvertor(size_t index);
};
  
#endif // Include once header


