/*
  Project:      POVColor
  File:         optdlg.h
  Purpose:      Option dialog
  Author:       Brian Vanderburg II
  Copyright:    (C) 2007-2008 Brian Allen Vanderburg II

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef __POVCOLOR_OPTDLG_H__
#define __POVCOLOR_OPTDLG_H__


// Requirements
//-----------------------------------------------------------------------------

// Includes
#include "config.h"

#include <wx/defs.h>
#include <wx/dialog.h>


// Forward declarations
class WXDLLIMPEXP_CORE wxWindow;
class WXDLLIMPEXP_CORE wxRadioButton;
class WXDLLIMPEXP_CORE wxCheckBox;
class WXDLLIMPEXP_CORE wxSpinCtrl;
class WXDLLIMPEXP_CORE wxTextCtrl;


// OptionsDialog - options for output
//-----------------------------------------------------------------------------
class OptionsDialog : public wxDialog
{
public:
    // ctor/dtor (no default ctor)
    OptionsDialog(wxWindow* parent);
    ~OptionsDialog();
  
    // Events
    void OnInitDialog(wxInitDialogEvent& evt);
    void OnOk(wxCommandEvent& evt);

  
private:
    // No copy/assign
    OptionsDialog(const OptionsDialog& copy);
    OptionsDialog& operator=(const OptionsDialog& copy);

    // Create items
    void CreateWidgets();
  
    // Indent
    wxSpinCtrl* m_indentSize;
    wxRadioButton* m_indentTab;
    wxRadioButton* m_indentSpace;
  
    wxSpinCtrl* m_openBraceIndent;
    wxRadioButton* m_openBraceNL;
    wxRadioButton* m_openBraceSL;
  
    wxSpinCtrl* m_bodyIndent;
    wxSpinCtrl* m_closeBraceIndent;
  
    // Spelling
    wxRadioButton* m_spellColor;
    wxRadioButton* m_spellColour;
  
    // Create type
    wxRadioButton* m_createAlways;
    wxRadioButton* m_createIfndef;
    wxRadioButton* m_createUndef;
  
    // Version
    wxTextCtrl* m_version;
  
    // Copy item code automatically
    wxCheckBox* m_autoCopy;
  
DECLARE_EVENT_TABLE();    
};


#endif // Include once wrapper

