/*
  Project:      POVColor
  File:         util.h
  Purpose:      Utility code, function, macros
  Author:       Brian Vanderburg II
  Copyright:    (C) 2007-2008 Brian Allen Vanderburg II

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef __POVCOLOR_UTIL_H__
#define __POVCOLOR_UTIL_H__


// Utility functions
//-----------------------------------------------------------------------------

// Minimum
template <typename T>
inline T min(T a, T b)
{
    return (a < b) ? a : b;
}
  
// Maxmimum
template <typename T>
inline T max(T a, T b)
{
    return (a > b) ? a : b;
}
  
// Clip to a range
template <typename T>
inline T clip(T a, T b, T c)
{
    return (a < b) ? b : ((a > c) ? c : a); 
}


#endif // Include once header

