# POVColor - Color and map editor for POV-Ray
# Copyright (C) 2007-2008 Brian Allen Vanderburg II
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
########################################################################


# Requirements
########################################################################
import os

import SCons.Errors

# SCons imports
Import('*')

# Load build-specific configuration
########################################################################

if not defenv['BUILD']:
    if os.name == 'nt':
        defenv['BUILD'] = 'windows'
    elif os.name == 'posix':
        defenv['BUILD'] = 'linux'

if not defenv['BUILD']:
    raise SCons.Errors.UserError('BUILD not detected.  Specify manually')

defenv.SConscript('${BUILD}.py')


